 *Collapse to hospital level OON rates by quarter 
 
 use ${dd}\ed_episodes_cleaned.dta, clear

 gen total_eps=1
 gen out_eps=1 if in_net_phys_ind==0
 
collapse (sum) total_eps out_eps, by(aha qgroup)

bysort aha qgroup: gen oon_rate=out_eps/total_eps

sort aha qgroup

*Note that hospital IDs have been encrypted and entry dates randomized 

local hosps 6XXXXX1 6XXXXX2 6XXXXX3 6XXXXX4 6XXXXX5 6XXXXX6 6XXXXX7 6XXXXX8 6XXXXX9 6XXXXX10
foreach hlist of local hosps {

preserve

if "`hlist'"=="6XXXXX6" loc hlabel "Hospital F: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX7" loc hlabel "Hospital G: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX4" loc hlabel "Hospital D: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX10" loc hlabel "Hospital J: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX3" loc hlabel "Hospital C: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX8" loc hlabel "Hospital H: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX2" loc hlabel "Hospital B: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX9" loc hlabel "Hospital I: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX5" loc hlabel "Hospital E: Out-of-Network Rate (%)"
if "`hlist'"=="6XXXXX1" loc hlabel "Hospital A: Out-of-Network Rate (%)"

if "`hlist'"=="6XXXXX1" loc xmrk 14
if "`hlist'"=="6XXXXX2" loc xmrk 8
if "`hlist'"=="6XXXXX3" loc xmrk 6
if "`hlist'"=="6XXXXX4" loc xmrk 15
if "`hlist'"=="6XXXXX5" loc xmrk 5
if "`hlist'"=="6XXXXX6" loc xmrk 9
if "`hlist'"=="6XXXXX7" loc xmrk 10.33
if "`hlist'"=="6XXXXX8" loc xmrk 15
if "`hlist'"=="6XXXXX9" loc xmrk 17
if "`hlist'"=="6XXXXX10" loc xmrk 9



keep if aha=="`hlist'"

*At time of entry, mark 1 year prior and 1 year after
gen newt=round(`xmrk')
gen newt_up=newt+4
gen newt_down=newt-4

keep if qgroup>=newt_down & qgroup<=newt_up

gen tfix=_n

local blue `""33 102 172""'
local red `""178 24 43""'

twoway (scatter oon_rate tfix if aha=="`hlist'", connect(l) lwidth(medthick) lcolor(`blue')  msymbol(i)), ///
xline(`emark', lcolor(`red') lwidth(medthick)) /// 
|| scatteri 0 1, msymbol(i) xaxis(2) xtitle("", axis(2)) xscale(noline range(1 9) axis(2)) ///
xlab(`emark' `""TeamHealth" "Entry""',  labsize(med) axis(2)) ///
ylabel(0 "0" .2 "20" .4 "40" .6 "60" .8 "80" 1 "100", labsize(medlarge)) ///
ytitle("") ///
xlabel("") ///
xmtick(1 2 3 4 5 6 7 8 9, tlength(2) tposition(outside)) ///
xtitle("Quarter", size(large)) ///
title("`hlabel'", size(large)) ///
legend(off)

graph export ${o}\final_figures\thosp_`hlist'_oon.png, width(1500) height(1000) as(png) replace
restore

}

