*This code creates all the figures from the paper "Surprise! Out-of-Network Billing for Emergency Care in the United States"
*Section 1 creates all of the main figures
*Section 2 creates all figures in the appendix

*======================================
*Section 1
*======================================

*FIGURE 1
*Distribution of OON Billing Rates in 2011
do ${oc}\figure_oon_kdensity.do

*FIGURE 2
*Conditional Correlates of Hospital OON Billing
*1.Collapses data to hospital-year level
do ${oc}\lasso_pre_prep.do
*2.Merges in external data for variables in the Lasso
do ${oc}\lasso_prep.do
*3.Lasso is run is in R- see lasso_glmnet.R
*4.Run regression with chosen variables and plot coefficients
do ${oc}\lasso_coefplot.do

*FIGURES 3,5
*OON Rates at Hospitals where EmCare/TeamHealth Entered
do ${oc}\figure_emcare_hosp_trends.do
do ${oc}\figure_teamhealth_hosp_trends.do

*FIGURES 4,6
*Discontinuity Analysis at Hospitals Where EmCare/TeamHealth Took Over Management of ED Services
do ${oc}\figure_emcare_discontinuity.do
do ${oc}\figure_teamhealth_discontinuity.do

*FIGURE 7
*NY diff n diff plots of rates over time, normalized to 0 in 2013 Q1
do ${oc}\figure_diffndiff_ny.do

*FIGURE 8
*NY kernel density plot
do ${oc}\figure_ny_kdensity.do

*======================================
*Section 2
*======================================

*APPENDIX FIGURE 3
*Map of 2011 to 2015 OON Rates by HRR
do ${oc}\figure_hrr_rates.do

*APPENDIX FIGURE 4
*Quarterly OON Rates from 2011 to 2015
do ${oc}\figure_quarterly_oon.do

*APPENDIX FIGURE 5
*The Distribution of Hospital OON Rates, 2011, 2013, 2015
do ${oc}\figure_kdensity_years.do

*APPENDIX FIGURE 6A, 6B
*The Distribution of Hospitals when EmCare/TeamHealth Enters, 2011
do ${oc}\figure_entry_emcare_hist.do
do ${oc}\figure_entry_teamhealth_hist.do

