
use ${dd}\ed_episodes_cleaned.dta, clear

gen total_eps_fac=1

*Calculating OON rates by hospital
collapse(sum) oon_ind total_eps_fac (first) provider_name_c state emcare_entry_ind teamhealth_entry_ind, by(aha year_start)
bysort aha year_start: gen inout_ratio=oon_ind/total_eps_fac

*Keeping earliest year of data to look at OON rates
keep if year_start==2011

local glevel emcare_high emcare_low emcare teamhealth 
foreach f of local glevel {

preserve

*defining high and low OON rates within groups
if "`f'"=="emcare_high" keep if emcare_entry_ind==1 & inout_ratio>.5
if "`f'"=="emcare_low" keep if emcare_entry_ind==1 & inout_ratio<.5
if "`f'"=="emcare" keep if emcare_entry_ind==1
if "`f'"=="teamhealth_high" keep if teamhealth_entry_ind==1 & inout_ratio>.5
if "`f'"=="teamhealth_low" keep if teamhealth_entry_ind==1 & inout_ratio<.5
if "`f'"=="teamhealth" keep if teamhealth_entry_ind==1
if "`f'"=="both_high" keep if (emcare_entry_ind==1 | teamhealth_entry_ind==1) & inout_ratio>.5
if "`f'"=="both_low" keep if (emcare_entry_ind==1 | teamhealth_entry_ind==1) & inout_ratio<.5
if "`f'"=="both" keep if (emcare_entry_ind==1 | teamhealth_entry_ind==1)

keep aha 

save ${sc}/group_levels/`f'.dta, replace

restore
}

*****************************************************************

*Dropping EmCare/TeamHealth hospitals that do not have entry

local glevel emcare_high emcare_low emcare teamhealth
foreach f of local glevel {

use ${dd}\ed_episodes_cleaned.dta, clear

*list of hospitals in data
bysort aha: gen first_inst=_n==1
keep if first_inst==1

*groups defined from above
merge 1:1 aha using ${sc}/group_levels/`f'.dta
*keep these hospitals with entry
	gen keeper=1 if _merge==3
	drop _merge

*Drop remaining hospitals from sample of each physician group
if ("`f'"=="emcare_high" | "`f'"=="emcare_low" | "`f'"=="emcare") {
drop if emcare_hosp==1 & keeper !=1 
drop if emcare_entry_ind==1 & keeper !=1
}

if ("`f'"=="teamhealth_high" | "`f'"=="teamhealth_low" | "`f'"=="teamhealth") {
drop if teamhealth_hosp==1 & keeper !=1 
drop if teamhealth_entry_ind==1 & keeper !=1
}

}

keep aha

*save these samples to use in regressions
save ${sc}/group_levels/`f'_fullsample.dta, replace

}


