
use ${dd}\ed_episodes_cleaned.dta, clear

*Merge in AHA characteristics and hospital HHI's, then summarize

bysort aha: gen first_inst=_n==1
keep if first_inst==1
drop first_inst

rename year_start year 

merge 1:m aha using ${dd}\aha_characteristics.dta
	keep if _merge==3
	drop _merge

gsort aha -year_start

bysort aha: gen first_inst=_n==1
keep if first_inst==1

rename county merge_fips
destring merge_fips, replace
merge m:1 merge_fips using ${dd}\hli_hhis.dta
	drop if _merge==2
	drop _merge

gen emcare=1 if emcare_hosp==1

gen teamhealth=1 if teamhealth_hosp==1

*Non-profit, profit, and government

qui gen aha_c_p  = inrange(aha_cntrl,31,33)
qui gen aha_c_np = inlist(aha_cntrl,21,23)
qui gen aha_c_g  = !aha_c_p&!aha_c_np

foreach var of varlist aha_mapp* {
	replace `var'=0 if `var'==2
}

*All hospitals excluding emcare and teamhealth
preserve
	drop if emcare==1 | teamhealth==1
	gen hmark=1
	collapse(mean) aha_syshhi_15m hli_uhgshare hli_hhi_all aha_mapp8 aha_techtotal aha_hospbd aha_c_p aha_c_np aha_c_g  (sum) hmark
	xpose, varname clear
	rename v1 all_hosps
	tempfile temp1
	save `temp1', replace
restore
preserve
	*EmCare hospitals
	keep if emcare==1
	gen hmark=1
	collapse(mean) aha_syshhi_15m hli_uhgshare hli_hhi_all aha_mapp8 aha_techtotal aha_hospbd aha_c_p aha_c_np aha_c_g (sum) hmark
	xpose, varname clear
	rename v1 emcare
	tempfile temp2
	save `temp2', replace
restore
	*TeamHealth hospitals
	keep if teamhealth==1
	gen hmark=1
	collapse(mean) aha_syshhi_15m hli_uhgshare hli_hhi_all aha_mapp8 aha_techtotal aha_hospbd aha_c_p aha_c_np aha_c_g (sum) hmark
	xpose, varname clear
	rename v1 teamhealth
	tempfile temp3
	save `temp3', replace

merge 1:1 _varname using `temp1'
drop _merge

merge 1:1 _varname using `temp2'
drop _merge

order _varname all_hosps emcare teamhealth
gen orderme=.

*Ordering for table
replace orderme=1 if _varname=="hli_hhi_all"
replace orderme=2 if _varname=="hli_uhgshare"
replace orderme=3 if _varname=="aha_syshhi_15m"
replace orderme=4 if _varname=="aha_c_g"
replace orderme=5 if _varname=="aha_c_np"
replace orderme=6 if _varname=="aha_c_p"
replace orderme=7 if _varname=="aha_hospbd"
replace orderme=8 if _varname=="aha_mapp8"
replace orderme=9 if _varname=="aha_techtotal"

sort orderme


outsheet * using ${o}\final_tables\summarystats_hosp.csv, comma replace





















